#include <QApplication>
#include <qdebug.h>
#include <QFrame>
#include <QStyle>
#include <QStyleOptionFrame>
#include <QPainter>
#include <QWidget>

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);

	QWidget * ourwidget = new QWidget();
	QStyleOptionFrame option;
	option.initFrom(ourwidget);

	QImage image(option.rect.size(), QImage::Format_ARGB32);
	QPainter imagepainter(&image);

	ourwidget->style()->drawPrimitive(QStyle::PE_FrameGroupBox, &option, &imagepainter, NULL);
	return a.exec();
}
